+ Reply to Thread
Results 1 to 3 of 3
  1. #1
    Forum Newbie
    Discipline
    Civil
    Using
    AutoCAD 2016
    Join Date
    Apr 2017
    Posts
    1

    Default Create a line with Corresponding Dimension

    Registered forum members do not see this ad.

    Hi, I was wondering if i could use two commands, line and dimlinear, in a single lisp file. this one i have measures a line you set with two points and creates a line that is a 1/3 in length of the distance between the two points. I want to add dimension line that will be 500 units above the created line. Any help would be very much appreciated. Thank you in advance.

    (defun c:aa ()
    (setq po1 (getpoint "Pick first point:")
    po2 (getpoint po1 "Pick second point:")
    le (/ (distance po1 po2) 3)
    po3 (polar po1 (angle po1 po2) le))
    (entmake (list '(0 . "LINE") (cons 10 po1) (cons 11 po3)))
    )

  2. #2
    Super Moderator SLW210's Avatar
    Computer Details
    SLW210's Computer Details
    Operating System:
    Windows 7 PRO 64-bit
    Computer:
    IBM Lenovo
    Motherboard:
    ACPI x64
    CPU:
    Pentium(R) i5 4570 @ 3.2GHz
    RAM:
    8 GB RAM
    Graphics:
    Nvidia Quadro 600 1GB
    Primary Storage:
    300 GB
    Secondary Storage:
    650GB
    Monitor:
    2x ThinkVision 24"
    Discipline
    Multi-disciplinary
    SLW210's Discipline Details
    Occupation
    Design Draftsman
    Discipline
    Multi-disciplinary
    Details
    Mostly do drafting related to manufacturing. From doing site layouts with proposed updates, additions and renovations to be budgeted and submitted for bid, to updating and changing existing drawings to reflect maintenance and repair/revision work done on site.
    Using
    AutoCAD 2011
    Join Date
    May 2007
    Location
    South Florida, USA
    Posts
    11,733

    Default

    Please read the Code Posting Guidelines and edit your Code to be included in Code Tags.[CODE]Your Code Here[/CODE] =
    Code:
    Your Code Here
    “A narrow mind and a fat head invariably come on the same person” Zig Zigler



  3. #3
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,745

    Default

    Registered forum members do not see this ad.

    Just look at the steps in creating the dimension write them down, you need an extra point this is 500 units above po1 use a polar with (+ (/ pi 2.0) (angle po1 po2)). As a hint when you type dimalign when it asks for a start point type !po1 then type !po3 this will use the two lisp points previously created.
    A man who never made mistakes never made anything

Similar Threads

  1. Change dimension line length when text is outside / beside dimension
    By mane222 in forum AutoCAD 2D Drafting, Object Properties & Interface
    Replies: 7
    Last Post: 29th Jun 2016, 03:36 pm
  2. How to create an angled line from a linear dimension ...
    By JDCOOK in forum AutoCAD Beginners' Area
    Replies: 6
    Last Post: 19th Dec 2014, 03:03 pm
  3. Replies: 9
    Last Post: 17th Sep 2011, 02:09 pm
  4. insert dimension measurment field on dimension line
    By bcastillo in forum AutoLISP, Visual LISP & DCL
    Replies: 0
    Last Post: 9th Nov 2009, 04:32 am
  5. Dimension - remove dimension line but not arrows
    By jkristia in forum AutoCAD Beginners' Area
    Replies: 10
    Last Post: 7th Nov 2008, 04:24 pm

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts